//****************************************************************************************************
// file timesib.cpp
#include <libce.h>

namespace tim {

const ioaddr iSPR = 0x61;
const ioaddr iCWR = 0x43;
const ioaddr iCTR2_LSB = 0x42;
const ioaddr iCTR2_MSB = 0x42;

};

using namespace tim;

void avvia_timer(natw N)
{
	outputb(0xB6, iCWR);		// contatore 2, modo 3
	outputb(N, iCTR2_LSB);
	outputb(N >> 8,  iCTR2_MSB);
}

int main()
{
	avvia_timer(1190); 		// costante 1000 Hz
	outputb(3, iSPR);
	pause();
	outputb(0, iSPR);
	return 0;
}
//****************************************************************************************************
